Package wx :: Class PrintData

[frames | no frames]

## Type PrintData

    object --+
             |
        Object --+
                 |
                PrintData

Proxy of C++ PrintData class

Method Summary
PrintData | ``__init__`(self)` __init__(self, PrintData data) -> PrintData
| `__del__(self)`
| `__nonzero__(self)`
int | `GetBin(self)`
bool | `GetCollate(self)`
bool | `GetColour(self)`
int | `GetDuplex(self)`
String | `GetFilename(self)`
int | `GetMedia(self)`
int | `GetNoCopies(self)`
int | `GetOrientation(self)`
int | `GetPaperId(self)`
Size | `GetPaperSize(self)`
String | `GetPrinterName(self)`
int | `GetPrintMode(self)`
PyObject | `GetPrivData(self)`
int | `GetQuality(self)`
bool | `IsOk(self)`
bool | `IsOrientationReversed(self)`
bool | `Ok(self)`
| `SetBin(self, bin)`
| `SetCollate(self, flag)`
| `SetColour(self, colour)`
| `SetDuplex(self, duplex)`
| `SetFilename(self, filename)`
| `SetMedia(self, media)`
| `SetNoCopies(self, v)`
| `SetOrientation(self, orient)`
| `SetOrientationReversed(self, reversed)`
| `SetPaperId(self, sizeId)`
| `SetPaperSize(self, sz)`
| `SetPrinterName(self, name)`
| `SetPrintMode(self, printMode)`
| `SetPrivData(self, data)`
| `SetQuality(self, quality)`

Property Summary
| `Bin`: See `GetBin` and `SetBin`
| `Collate`: See `GetCollate` and `SetCollate`
| `Colour`: See `GetColour` and `SetColour`
| `Duplex`: See `GetDuplex` and `SetDuplex`
| `Filename`: See `GetFilename` and `SetFilename`
| `NoCopies`: See `GetNoCopies` and `SetNoCopies`
| `Orientation`: See `GetOrientation` and `SetOrientation`
| `PaperId`: See `GetPaperId` and `SetPaperId`
| `PaperSize`: See `GetPaperSize` and `SetPaperSize`
| `PrinterName`: See `GetPrinterName` and `SetPrinterName`
| `PrintMode`: See `GetPrintMode` and `SetPrintMode`
| `PrivData`: See `GetPrivData` and `SetPrivData`
| `Quality`: See `GetQuality` and `SetQuality`
| `thisown`: The membership flag

Method Details

### __init__(self)
(Constructor)

__init__(self, PrintData data) -> PrintData

  Returns:
    PrintData
  Overrides:
    `wx.Object.__init__`

Property Details

### Bin

See `GetBin` and `SetBin`

  Get Method:
    `GetBin`(self)
  Set Method:
    `SetBin`(self, bin)

### Collate

See `GetCollate` and `SetCollate`

  Get Method:
    `GetCollate`(self)
  Set Method:
    `SetCollate`(self, flag)

### Colour

See `GetColour` and `SetColour`

  Get Method:
    `GetColour`(self)
  Set Method:
    `SetColour`(self, colour)

### Duplex

See `GetDuplex` and `SetDuplex`

  Get Method:
    `GetDuplex`(self)
  Set Method:
    `SetDuplex`(self, duplex)

### Filename

See `GetFilename` and `SetFilename`

  Get Method:
    `GetFilename`(self)
  Set Method:
    `SetFilename`(self, filename)

### NoCopies

See `GetNoCopies` and `SetNoCopies`

  Get Method:
    `GetNoCopies`(self)
  Set Method:
    `SetNoCopies`(self, v)

### Orientation

See `GetOrientation` and `SetOrientation`

  Get Method:
    `GetOrientation`(self)
  Set Method:
    `SetOrientation`(self, orient)

### PaperId

See `GetPaperId` and `SetPaperId`

  Get Method:
    `GetPaperId`(self)
  Set Method:
    `SetPaperId`(self, sizeId)

### PaperSize

See `GetPaperSize` and `SetPaperSize`

  Get Method:
    `GetPaperSize`(self)
  Set Method:
    `SetPaperSize`(self, sz)

### PrinterName

See `GetPrinterName` and `SetPrinterName`

  Get Method:
    `GetPrinterName`(self)
  Set Method:
    `SetPrinterName`(self, name)

### PrintMode

See `GetPrintMode` and `SetPrintMode`

  Get Method:
    `GetPrintMode`(self)
  Set Method:
    `SetPrintMode`(self, printMode)

### PrivData

See `GetPrivData` and `SetPrivData`

  Get Method:
    `GetPrivData`(self)
  Set Method:
    `SetPrivData`(self, data)

### Quality

See `GetQuality` and `SetQuality`

  Get Method:
    `GetQuality`(self)
  Set Method:
    `SetQuality`(self, quality)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:51 2007 | http://epydoc.sf.net